package com.zy.bms.config;

import com.zy.bms.common.interceptor.AuthInterceptor;
import com.zy.bms.common.interceptor.VerifyInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 配置拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {
    /**
     * 身份验证拦截器
     */
    @Resource
    private VerifyInterceptor verifyInterceptor;
    @Resource
    private AuthInterceptor authInterceptor;

    private static List<String> whiteList = new ArrayList<>();

    static {
        whiteList.add("/zy4g/api/pc/admin/**");
    }

    /**
     * 添加自定义拦截器
     */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(verifyInterceptor)
                .addPathPatterns("/zy4g/api/pc/**");

//        registry.addInterceptor(authInterceptor)
//                .addPathPatterns("/zy4g/api/pc/**")
//                .excludePathPatterns(whiteList);
    }
}
