package com.zy.bms.controller;

import com.zy.bms.common.exception.ApiRuntimeException;
import com.zy.bms.common.ServerResponse;
import com.zy.bms.service.DeviceService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("zy4g/api/device")
public class DeviceController {

    @Resource
    private DeviceService deviceService;

    /**
     * 更新设备名称
     *
     * @param num  设备随机 num
     * @param name 设备名称
     */
    @PostMapping("updateName.do")
    public ServerResponse updateName(String num, String name) {
        if (!deviceService.updateName(num, name)) {
            throw new ApiRuntimeException("更新设备名称失败");
        }
        return ServerResponse.createBySuccess();
    }
}
