package com.zy.bms.controller.pc;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.io.pc.DeviceIO;
import com.zy.bms.service.DeviceService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("zy4g/api/pc/device")
public class PcDeviceController {

    @Resource
    private DeviceService deviceService;

    /**
     * 分页查询设备集合
     */
    @PostMapping("getListPage.do")
    public ServerResponse getListPage(DeviceIO io) {
        return ServerResponse.createBySuccess(deviceService.getListPage(io));
    }

    /**
     * 通过ClientId 查询设备信息
     */
    @GetMapping("getDetailByClientId.do")
    public ServerResponse getByClientId(String clientId) {
        return ServerResponse.createBySuccess(deviceService.getByClientId(clientId));
    }
}
