package com.zy.bms.controller.pc;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.io.wechat.*;
import com.zy.bms.service.SetBaseService;
import com.zy.bms.service.SetService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备设置相关
 *
 * @author yang xiao kun
 * create on 2021/3/3
 */
@RestController
@RequestMapping("zy4g/api/pc/set")
public class PcSetController {

    @Resource
    private SetBaseService setBaseService;
    @Resource
    private SetService setService;

    /**
     * 其他设置
     *
     * @param deviceId 设备ID
     */
    @GetMapping("baseSet.do")
    public ServerResponse getBaseSet(String deviceId) {
        return ServerResponse.createBySuccess(setBaseService.getByDeviceId(deviceId));
    }

    /**
     * 设置音量
     */
    @PostMapping("volume.do")
    public ServerResponse setVolume(VolumeSetIO io) {
        setService.setVolume(io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置定位频率
     */
    @PostMapping("gpsRate.do")
    public ServerResponse setGpsRate(GpsRateSetIO io) {
        setService.setGpsRate(io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 自动接听
     *
     * @param io 设置参数
     */
    @PostMapping("autoAnswer.do")
    public ServerResponse setAutoAnswer(AnswerSetIO io) {
        setService.setAutoAnswer(io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置语音播报
     */
    @PostMapping("news.do")
    public ServerResponse setNews(NewsSetIO io) {
        setService.setNews(io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置SOS紧急呼叫
     */
    @PostMapping("sos.do")
    public ServerResponse setSOS(SosSetIO io) {
        setService.setSOS(io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置持续定位
     */
    @PostMapping("continue.do")
    public ServerResponse setContinue(ContinueSetIO io) {
        setService.setContinue(io);
        return ServerResponse.createBySuccess();
    }
}
