package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.common.io.wechat.DeviceHistoryIO;
import com.zy.bms.common.vo.LocationHistoryVo;
import com.zy.bms.model.DeviceLocation;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备位置信息
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceLocationMapper extends BaseMapper<DeviceLocation> {

    /**
     * 查询数据库中最新的定位信息
     */
    DeviceLocation getLatestLocation(String deviceId);

    /**
     * 查看设备历史轨迹
     *
     * @param io 查询入参
     */
    List<LocationHistoryVo> getHistory(DeviceHistoryIO io);
}
