package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.common.io.pc.DeviceIO;
import com.zy.bms.model.Device;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceMapper extends BaseMapper<Device> {

    /**
     * 后台
     * 分页查询设备列表
     *
     * @param page 分页条件
     * @param io   查询条件
     */
    IPage<Device> getListPage(IPage<Device> page, @Param("io") DeviceIO io);

    /**
     * 后台
     * 获取数据库中所有设备的 clientId
     */
    List<String> getClientIdList();

    /**
     * 更新设备名称
     *
     * @param num  设备号
     * @param name 名称
     */
    int updateName(@Param("num") String num, @Param("name") String name);
}
