package com.zy.bms.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.mapper.AdminMapper;
import com.zy.bms.model.Admin;
import org.springframework.stereotype.Service;

/**
 * 管理员 Service
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class AdminService extends ServiceImpl<AdminMapper, Admin> {

    /**
     * 通过用户名查询用户信息
     *
     * @param username 用户名
     */
    public Admin getByUsername(String username) {
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username", username);
        return baseMapper.selectOne(queryWrapper);
    }
}
